// created by zxn
#include <string>
#include <iostream>
#include <vector>
#include <fstream>
#include <sstream>
#include <stdlib.h>
#include <string.h>
#include <vector>
#include <unistd.h>
#include "RestfulClient.h"
#include "pthread.h"
using namespace std;

RestfulClient rc;

void* func(void *param)
{
	// 热词配置
	IRestfulRequest* ks = rc.createRestfulRequest("https://nlsapi.aliyun.com/asr/custom/vocabs", "your-id", "your-key" RestfulClient::hw);
	HotWordStruct hws;
	hws.global_weight = 2;
	hws.words.push_back("苹果");
	hws.words.push_back("桃子");
	hws.words.push_back("西瓜");
	hws.word_weights.insert(make_pair("西瓜", 1));
	string bodyjsonstr = hws.toString();
	cout << "hws: " << bodyjsonstr << endl;

	/************************************************************************/
	/* 
	{
		"global_weight": 2,
		"words": [
		"苹果",
		"桃子",
		"西瓜"
		],
		"word_weights": {
		"西瓜": 1
		}
	}                                                                     */
	/************************************************************************/
	if (ks)
	{
		cout << "create hws result: " << ks->createRequest(bodyjsonstr) << endl;
		cout << "get hws result: " << ks->getRequest("db0014626eec4f8b9c958a81b1b4da0d") << endl;
		cout << "update hws result: " << ks->updateRequest("db0014626eec4f8b9c958a81b1b4da0d", bodyjsonstr) << endl;
		cout << "del hws result: " << ks->deleteRequest("91d5bb8bc5874a88b74ceff5af31c747") << endl;
	}
	delete ks;
	ks = NULL;

	return 0;
}

int main(int arc, char* argv[])
{
	int ThreadCount = 1;
	vector<pthread_t> tarr(ThreadCount);
	for (int i = 0; i < 1; i++)
	{
		for (int j = 0; j < ThreadCount; j++)
			pthread_create(&tarr[j], NULL, &func, NULL);
		for (int j = 0; j < ThreadCount; j++)
			pthread_join(tarr[j], NULL);
	}

}

