// created by zxn
#include <string>
#include <iostream>
#include <vector>
#include <fstream>
#include <sstream>
#include <stdlib.h>
#include <string.h>
#include <vector>
#include <unistd.h>
#include "RestfulClient.h"
#include "pthread.h"
using namespace std;

RestfulClient rc;

void* func(void *param)
{
	// 关键词配置
	IRestfulRequest* hs = rc.createRestfulRequest("https://nlsapi.aliyun.com/asr/custom/keyword_lists", "your-id", "your-key", RestfulClient::kws);
	KeyWordStruct kws;
	kws.kws.insert(make_pair("桃子", 0.8));
	kws.kws.insert(make_pair("苹果", 0.6));
	string bodyjsonstr = kws.toString();
	/************************************************************************/
	/* 
	{
		"keywords": 
		[
			{"keyword":"桃子", "threshold":0.8},
			{"keyword":"苹果", "threshold":0.6}
		]
	}                                                                     */
	/************************************************************************/
	cout << "kws: " << bodyjsonstr << endl;
	if (hs)
	{
		cout << "create kws result: " << hs->createRequest(bodyjsonstr) << endl;
		cout << "get kws result: " << hs->getRequest("dd56e6bc364646978ec0a2b193ea613b") << endl;
		cout << "update kws result: " << hs->updateRequest("dd56e6bc364646978ec0a2b193ea613b", bodyjsonstr) << endl;
		cout << "del kws result: " << hs->deleteRequest("91d5bb8bc5874a88b74ceff5af31c747") << endl;
	}
	delete hs;
	hs = NULL;

	return 0;
}

int main(int arc, char* argv[])
{
	int ThreadCount = 1;
	vector<pthread_t> tarr(ThreadCount);
	for (int i = 0; i < 1; i++)
	{
		for (int j = 0; j < ThreadCount; j++)
			pthread_create(&tarr[j], NULL, &func, NULL);
		for (int j = 0; j < ThreadCount; j++)
			pthread_join(tarr[j], NULL);
	}

}

